#include <iostream>
using namespace std;

int nadji_d(int a[3], long long int t, long long int iznos)
{
    int rezultat = 0;
    for (int i=0; i<3; i++)
    {
        if ((a[i] * t) <= iznos)
        {
            rezultat = a[i];
        }
    }
    return rezultat;
}

long long int nadji_10nak(long long int iznos)
{
    long long int rezultat = 1;
    while(rezultat<iznos)
    {
        if (rezultat * 10 < iznos)
        {
            rezultat *= 10;
        }
        else
        {
            break;
        }
    }
    return rezultat;
}

int novcanice(long long int iznos, int n, int a[3], long long int br)
{
    if (iznos%n == 0)
    {
        br += iznos / n;
        return br;
    }
    else
    {
        br += iznos / n;
        long long int iznos2 = iznos % n;
        long long int deset_nak2 = nadji_10nak(iznos2);
        int d2 = nadji_d(a, deset_nak2, iznos2);
        int novcanica2 = d2 * deset_nak2;
        novcanice(iznos2, novcanica2, a, br);
    }
}

int main()
{
    long long int v;
    cin>>v;
    int niz[3] = {1, 2, 5};
    long long int deset_nak = nadji_10nak(v);
    int d = nadji_d(niz, deset_nak, v);
    int novcanica = d * deset_nak;
    long long int c = novcanice(v, novcanica, niz, 0);
    cout<<c<<endl;
    return 0;
}